diff --git a/Cargo.lock b/Cargo.lock
index 338324d..f5e3945 100644
--- a/Cargo.lock
+++ b/Cargo.lock
@@ -152,6 +152,15 @@ dependencies = [
  "inout",
 ]
 
+[[package]]
+name = "cmake"
+version = "0.1.50"
+source = "registry+https://github.com/rust-lang/crates.io-index"
+checksum = "a31c789563b815f77f4250caee12365734369f942439b7defd71e18a48197130"
+dependencies = [
+ "cc",
+]
+
 [[package]]
 name = "constant_time_eq"
 version = "0.1.5"
@@ -366,6 +375,7 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "3b9429470923de8e8cbd4d2dc513535400b4b3fef0319fb5c4e1f520a7bef743"
 dependencies = [
  "crc32fast",
+ "libz-ng-sys",
  "miniz_oxide",
 ]
 
@@ -492,6 +502,16 @@ version = "0.2.146"
 source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "f92be4933c13fd498862a9e02a3055f8a8d9c039ce33db97306fd5a6caa7f29b"
 
+[[package]]
+name = "libz-ng-sys"
+version = "1.1.9"
+source = "registry+https://github.com/rust-lang/crates.io-index"
+checksum = "2468756f34903b582fe7154dc1ffdebd89d0562c4a43b53c621bb0f1b1043ccb"
+dependencies = [
+ "cmake",
+ "libc",
+]
+
 [[package]]
 name = "line-wrap"
 version = "0.1.1"
diff --git a/Cargo.toml b/Cargo.toml
index c8d4542..f1fc1f1 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -31,9 +31,9 @@ syntect = {version = "5.0.0", git = "https://github.com/kyoheiu/syntect"}
 serde_yaml = "0.9.14"
 zip = "0.6.4"
 tar = "0.4.38"
-flate2 = "1.0.26"
+flate2 = {version = "1.0.26", default-features = false, features = ["zlib-ng"]}
 lzma-rs = "0.2.0"
-zstd = "0.11.2"
+zstd = {version = "0.11.2", default-features = false, features = ["pkg-config"]}
 unicode-width = "0.1.10"
 
 [dev-dependencies]
